com.beaglebuddy.id3.pojo.v24

## Enum RelativeVolume.Channel

- java.lang.Object
- - java.lang.Enum<RelativeVolume.Channel>
  - - com.beaglebuddy.id3.pojo.v24.RelativeVolume.Channel

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<RelativeVolume.Channel>
  Enclosing class:
    RelativeVolume

      public static enum RelativeVolume.Channel
      extends java.lang.Enum<RelativeVolume.Channel>

  valid ID3v2.4 channel types

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BACK_CENTER` back center channel
    `BACK_LEFT` back left channel
    `BACK_RIGHT` back right channel
    `FRONT_CENTER` front center channel
    `FRONT_LEFT` front left channel
    `FRONT_RIGHT` front right channel
    `MASTER_VOLUME` master volume channel
    `OTHER` other type of channel
    `SUB_WOOFER` sub woofer channel

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RelativeVolume.Channel` | `getChannel(int channel)` convert an integral value to its corresponding enum.
    `java.lang.String` | `toString()`
    `static RelativeVolume.Channel` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static RelativeVolume.Channel[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OTHER

          public static final RelativeVolume.Channel OTHER

      other type of channel

    - #### MASTER_VOLUME

          public static final RelativeVolume.Channel MASTER_VOLUME

      master volume channel

    - #### FRONT_RIGHT

          public static final RelativeVolume.Channel FRONT_RIGHT

      front right channel

    - #### FRONT_LEFT

          public static final RelativeVolume.Channel FRONT_LEFT

      front left channel

    - #### BACK_RIGHT

          public static final RelativeVolume.Channel BACK_RIGHT

      back right channel

    - #### BACK_LEFT

          public static final RelativeVolume.Channel BACK_LEFT

      back left channel

    - #### FRONT_CENTER

          public static final RelativeVolume.Channel FRONT_CENTER

      front center channel

    - #### BACK_CENTER

          public static final RelativeVolume.Channel BACK_CENTER

      back center channel

    - #### SUB_WOOFER

          public static final RelativeVolume.Channel SUB_WOOFER

      sub woofer channel

  - ### Method Detail

    - #### values

          public static RelativeVolume.Channel[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RelativeVolume.Channel c : RelativeVolume.Channel.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RelativeVolume.Channel valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<RelativeVolume.Channel>`
      Returns:
        a string representation of the Channel

    - #### getChannel

          public static RelativeVolume.Channel getChannel(int channel)

      convert an integral value to its corresponding enum.
      Parameters:
        `channel` - the integral value that is to be converted to a Channel enum.
      Returns:
        the Channel enum whose ordinal value corresponds to the given integral value.
      Throws:
        `java.lang.IllegalArgumentException` - if there is no Channel enum whose ordinal value corresponds to the given integral value.